Page MenuHomePhabricator

Message under search for search in collections with no members is confusing
Closed, ResolvedPublic

Description

Give I am visiting a collection with no members
When I click edit
Then I do not see a message suggesting that I have done a search
And I see a link to "Start a search"

Event Timeline

Jdlrobson created this task.May 8 2015, 9:27 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: gerritbot, jhobs, JKatzWMF and 3 others.
jhobs claimed this task.May 8 2015, 9:39 PM

Hmmm.... I didn't know collections with no members could exist but that message should not have shown up anyways...

I'll claim this and operate under the assumption that "Try another search" should disappear, "Sorry, we couldn't..." should be replaced with "Start a search," and tapping/clicking "Start a search" should clear and focus the search bar.

jhobs removed jhobs as the assignee of this task.May 11 2015, 4:53 PM
jhobs set Security to None.

@jhobs Can you grab this please, it is pretty ugly and it is seen by all users when they create a collection.

If you're busy let us know on the task and somebody else will catch it (it is at the top of the column so it is high priority for the PO I think)

@Jhernandez feel free to work on it. Jeff released it due to some zero Wikipedia commitments.

Jhernandez moved this task from Ready for dev to In development on the Gather Sprint Help! board.

Change 210737 had a related patch set uploaded (by Jhernandez):
Empty search suggests searching instead of /no results/

https://gerrit.wikimedia.org/r/210737

Screenshots of how it looks now:

New collection without anything:

Click on the search box or the "Start a new search..." and you get:

Search for something that doesn't bring results:

Sending this to code review, but pinging @Jdlrobson and @KHammerstein because maybe there is some feedback just with the screenshots.

@Jhernandez How do you create a collection with no members?

@KHammerstein visit the list of your collections: http://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Gather/by/Jhernandez/ but with your username at the end, or go through the menu item Collections, and then at the bottom of the list you will see a "Create new collection" button.

The messages/flow also applies if you create a collection from a page but remove that page and leave an empty collection (which you can edit later).

Basically, if the search input has nothing, this shows the "Start a new search..." instead of the "OHGODNORESULTSTRYAGAIN" (which doesn't make sense if you didn't search for anything).

BTW, this is one the fastest times somebody has ever answered to a ping I've made. Huge props and thank you very much.

Change 210737 merged by jenkins-bot:
Empty search suggests searching instead of /no results/

https://gerrit.wikimedia.org/r/210737

Jdlrobson moved this task from Needs triage to This Sprint on the Gather board.May 14 2015, 10:11 AM

@KHammerstein, @Jhernandez Sorry for getting to this late, but the current implementation is also confusing. Will file another ticket, as I think no message at all should be shown....

current:

Proposed

JKatzWMF closed this task as Resolved.May 21 2015, 4:18 PM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Help! board.